Main Page Compound List File List Compound Members Examples

# realFFTData Class Reference

class realFFTData controls and manipulates fft data More...

`#include <realFFTData.H>`

List of all members.

## Public Methods
| realFFTData (int sz)
| All memory to be allocated internally.
| realFFTData (int sz, fftw_real *inp, fftw_real *outp)
| input and output data arrays are to be allocated by another process
| ~realFFTData (void)
| Deconstructor.
int | limitHalfPowerSpec (double lim)
| Limits the maximum to 'lim' and returns the last fft bin with max.
int | getSize (void)
| Returns the number of elements in the input and output arrays.
int | getHalfSize (void)
| Returns the number of elements in the power spectrum array.
fftw_real | findMaxIn (void)
| Returns the maximum input variable.
void | findMaxMinPowerBins (void)
| Fills the max and min power spectrum bins.
int | compPowerSpec ()
| This function computes the power spectrum and returns the max bin.
int | sqrtPowerSpec ()
| This function computes the square root of the power spectrum and returns the max bin.
void | zeroFFTData (void)
| This function zeros the output data array (out).
## Public Attributes
int | size
| Specifies the size of the data array.
int | minPowerBin
| Specifies the minimum and maximum power bins as used in the methods findMaxMinPowerBins and compPowerSpec.
int | maxPowerBin
| Specifies the minimum and maximum power bins as used in the methods findMaxMinPowerBins and compPowerSpec.
fftw_real * | in
| the input, output and power_spectrum arrays
fftw_real * | out
| the input, output and power_spectrum arrays
fftw_real * | power_spectrum
| the input, output and power_spectrum arrays
double | totalPower
| The total power (summed) of the power spectrum as used in the method compPowerSpec.

## Detailed Description

class realFFTData controls and manipulates fft data

Examples:

  realFFTExample.cc.

Definition at line 32 of file realFFTData.H.

The documentation for this class was generated from the following file:

- realFFTData.H